Package org.apache.lucene.codecs.lucene912

# Class Lucene912PostingsReader

java.lang.Object
org.apache.lucene.codecs.PostingsReaderBase
org.apache.lucene.codecs.lucene912.Lucene912PostingsReader

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public final class Lucene912PostingsReader extends PostingsReaderBase
Concrete class that reads docId(maybe frq,pos,offset,payloads) list with postings format.

WARNING: This API is experimental and might change in incompatible ways in the next release.

## Constructor Summary

Constructors
Constructor
Description
`Lucene912PostingsReader(SegmentReadState state)`
Sole constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`checkIntegrity()`
Checks consistency of this reader.
`void`
`close()`
`void`
`decodeTerm(DataInput in, FieldInfo fieldInfo, BlockTermState _termState, boolean absolute)`
Actually decode metadata for next term
`ImpactsEnum`
`impacts(FieldInfo fieldInfo, BlockTermState state, int flags)`
Return a `ImpactsEnum` that computes impacts with `scorer`.
`void`
`init(IndexInput termsIn, SegmentReadState state)`
Performs any initialization, such as reading and verifying the header from the provided terms dictionary `IndexInput`.
`BlockTermState`
`newTermState()`
Return a newly created empty TermState
`PostingsEnum`
`postings(FieldInfo fieldInfo, BlockTermState termState, PostingsEnum reuse, int flags)`
Must fully consume state, since after this call that TermState may be reused.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Lucene912PostingsReader

public Lucene912PostingsReader(SegmentReadState state) throws IOException
Sole constructor.

Throws:
  `IOException`

## Method Details

### init

public void init(IndexInput termsIn, SegmentReadState state) throws IOException
Description copied from class: `PostingsReaderBase`
Performs any initialization, such as reading and verifying the header from the provided terms dictionary `IndexInput`.

Specified by:
  `init` in class `PostingsReaderBase`
Throws:
  `IOException`

### newTermState

public BlockTermState newTermState()
Description copied from class: `PostingsReaderBase`
Return a newly created empty TermState

Specified by:
  `newTermState` in class `PostingsReaderBase`

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in class `PostingsReaderBase`
Throws:
  `IOException`

### decodeTerm

public void decodeTerm(DataInput in, FieldInfo fieldInfo, BlockTermState _termState, boolean absolute) throws IOException
Description copied from class: `PostingsReaderBase`
Actually decode metadata for next term

Specified by:
  `decodeTerm` in class `PostingsReaderBase`
Throws:
  `IOException`
See Also:
  - `PostingsWriterBase.encodeTerm(org.apache.lucene.store.DataOutput, org.apache.lucene.index.FieldInfo, org.apache.lucene.codecs.BlockTermState, boolean)`

### postings

public PostingsEnum postings(FieldInfo fieldInfo, BlockTermState termState, PostingsEnum reuse, int flags) throws IOException
Description copied from class: `PostingsReaderBase`
Must fully consume state, since after this call that TermState may be reused.

Specified by:
  `postings` in class `PostingsReaderBase`
Throws:
  `IOException`

### impacts

public ImpactsEnum impacts(FieldInfo fieldInfo, BlockTermState state, int flags) throws IOException
Description copied from class: `PostingsReaderBase`
Return a `ImpactsEnum` that computes impacts with `scorer`.

Specified by:
  `impacts` in class `PostingsReaderBase`
Throws:
  `IOException`
See Also:
  - `PostingsReaderBase.postings(FieldInfo, BlockTermState, PostingsEnum, int)`

### checkIntegrity

public void checkIntegrity() throws IOException
Description copied from class: `PostingsReaderBase`
Checks consistency of this reader.

Note that this may be costly in terms of I/O, e.g. may involve computing a checksum value against large data files.

Specified by:
  `checkIntegrity` in class `PostingsReaderBase`
Throws:
  `IOException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`